Package groovy.util.slurpersupport

# Class FilteredNodeChildren

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.util.slurpersupport.GPathResult
groovy.util.slurpersupport.NodeChildren
groovy.util.slurpersupport.FilteredNodeChildren

All Implemented Interfaces:
  `Buildable`, `GroovyObject`, `Writable`, `java.lang.Iterable`

    @Deprecated
    public class FilteredNodeChildren
    extends NodeChildren

Deprecated.
Lazy evaluated representation of child nodes filtered by a Closure.

- ## Field Summary

  ### Fields inherited from class groovy.util.slurpersupport.GPathResult

  `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FilteredNodeChildren​(GPathResult parent, Closure closure, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Iterator` | `nodeIterator()` | Deprecated.
  `GPathResult` | `pop()` | Deprecated. Returns the parent of this GPathResult.

  ### Methods inherited from class groovy.util.slurpersupport.NodeChildren

  `appendNode, build, childNodes, find, findAll, iterator, parents, replaceBody, replaceNode, size, text, writeTo`

  ### Methods inherited from class groovy.util.slurpersupport.GPathResult

  `breadthFirst, children, createIterator, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, list, lookupNamespace, name, parent, plus, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### FilteredNodeChildren

    public FilteredNodeChildren​(GPathResult parent, Closure closure, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)
    Deprecated.
    Parameters:
      `parent` - the GPathResult prior to the application of the expression creating this GPathResult
      `closure` - the Closure to use to filter the nodes
      `namespaceTagHints` - the known tag to namespace mappings

- ## Method Details

  - ### pop

    public GPathResult pop()
    Deprecated.
    Description copied from class: `GPathResult`
    Returns the parent of this GPathResult. If this GPathResult has no parent the GPathResult itself is returned. This is no navigation in the XML tree. It is backtracking on the GPath expression chain. It is the behavior of parent() prior to 2.2.0. Backtracking on '..' actually goes down one level in the tree again. find() and findAll() are popped along with the level they have been applied to.
    Overrides:
      `pop` in class `GPathResult`
    Returns:
      the parent or `this`

  - ### nodeIterator

    public java.util.Iterator nodeIterator()
    Deprecated.
    Overrides:
      `nodeIterator` in class `NodeChildren`